Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class DeviceService<S extends Service>

    java.lang.Object
      org.teleal.cling.model.meta.DeviceService<S>

All Implemented Interfaces:
  Validatable

Direct Known Subclasses:
  LocalDeviceService

    public class DeviceService<S extends Service>

extends Object
implements Validatable

Defines the metadata of service as present in Device descriptor.

Constructor Summary
`DeviceService(ServiceType serviceType, ServiceId serviceId, URI descriptorURI, URI controlURI, URI eventSubscriptionURI)`
`DeviceService(ServiceType serviceType, ServiceId serviceId, URI descriptorURI, URI controlURI, URI eventSubscriptionURI, S service)`

Method Summary
`ServiceReference` | `createServiceReference()`
`URI` | `getControlURI()`
`URI` | `getDescriptorURI()`
`Device` | `getDevice()`
`URI` | `getEventSubscriptionURI()`
`URI` | `getLocalEventCallbackURI()`
`String` | `getLocalURIPrefix(Device device)`
`S` | `getService()`
`ServiceId` | `getServiceId()`
`ServiceType` | `getServiceType()`
`Phase` | `getState()`
`URI` | `prefixLocalURI(Device device, URI uri)`
`URI` | `prefixLocalURI(String uri)`
`String` | `toString()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeviceService

    public DeviceService(ServiceType serviceType,
                         ServiceId serviceId,
                         URI descriptorURI,
                         URI controlURI,
                         URI eventSubscriptionURI)

### DeviceService

    public DeviceService(ServiceType serviceType,
                         ServiceId serviceId,
                         URI descriptorURI,
                         URI controlURI,
                         URI eventSubscriptionURI,
                         S service)

Method Detail

### getState

    public Phase getState()

### getServiceType

    public ServiceType getServiceType()

### getServiceId

    public ServiceId getServiceId()

### getDescriptorURI

    public URI getDescriptorURI()

### getControlURI

    public URI getControlURI()

### getEventSubscriptionURI

    public URI getEventSubscriptionURI()

### getService

    public S getService()

### getDevice

    public Device getDevice()

### createServiceReference

    public ServiceReference createServiceReference()

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`

### prefixLocalURI

    public URI prefixLocalURI(String uri)

### prefixLocalURI

    public URI prefixLocalURI(Device device,
                              URI uri)

### getLocalURIPrefix

    public String getLocalURIPrefix(Device device)

### getLocalEventCallbackURI

    public URI getLocalEventCallbackURI()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.